Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp3
Interface Mtp3LayerManagerMBean

public abstract interface Mtp3LayerManagerMBean
extends OamLayerManagerMBean, Mtp3ManagedObjectMBean

This interface defines the methods required for the creation and management of all MTP Level 3 Managed MBeans.

The Mtp3LayerManagerMBean acts as a factory for the creation of Mtp3ManagedObjectMBeans and allows a NotificationListener to register as a listener of all Mtp3ManagedObjectMBeans.

When creating a MBean an entry must be added to the LookupTable of that MBean's ObjectName and reference, and when a MBean is being deleted the corresponding entry in the LookupTable must be removed. This is to enable the application to operate successfully without a JMX agent.

An instance of this Mtp3LayerManagerMBean should be created through the JainSS7Factory. The JainSS7Factory defines a naming convention to locate a proprietary implementation of this interface.

Under the JAIN naming convention, the upper-level package structure (pathname) can be used to differentiate between proprietary implementations from different SS7 Vendors. The pathname used by each SS7 Vendor must be the domain name assigned to the Vendor in reverse order, e.g. Sun Microsystem's would be 'com.sun'

In order to be recognised as a JMX MBean a class implementing this interface must be called Mtp3LayerManager.

It follows that a proprietary implementation of a Mtp3LayerManagerMBean will be located at:

.jain.protocol.ss7.oam.mtp3.Mtp3LayerManager

Where:

pathname = reverse domain name, e.g. 'com.aepona'

The resulting Mtp3LayerManager from AePONA would be located at:

com.aepona.jain.protocol.ss7.oam.mtp3.Mtp3LayerManager

Consequently, an application may create a Mtp3LayerManagerMBean by invoking: JainSS7Factory.createSS7Object(jain.protocol.ss7.oam.mtp3.Mtp3LayerManager). The PathName of the vendor specific implementation of which you want to instantiate can be set before calling JainSS7Factory.setPathName("vendorPathname"); or the default or current pathname may be used.

Illustrates how JAIN OAM MBeans are instantiated

Relationship between the MTP3 JAIN OAM MBeans

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Fields inherited from class jain.protocol.ss7.oam.OamLayerManagerMBean
`PROTOCOL_VARIANT_ANSI_1992, PROTOCOL_VARIANT_ANSI_1996, PROTOCOL_VARIANT_ITU_1993, PROTOCOL_VARIANT_ITU_1996, PROTOCOL_VARIANT_ITU_1997, PROTOCOL_VARIANT_OTHER`

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `createLink(ObjectName mtp2Sap)` Creates a new Link Managed Bean (LinkMBean).
`ObjectName` | `createLinkSet(ObjectName adjacentSignallingPoint, ObjectName[] links)` Creates a new Linkset Managed Bean (LinkSetMBean).
`ObjectName` | `createMtp3Sap(ObjectName signallingPoint, java.lang.Integer serviceIndicator)` Creates a new Mtp3 Service Access Point MBean (representing a Remote Signalling Point)
`ObjectName` | `createMtp3TimerProfile()` Creates a new Mtp3TimerProfileMBean that will use the correct Timer values for the the protocol variant of this Mtp3LayerManager.
`ObjectName` | `createOwnSignallingPoint(java.lang.Long pointCode, java.lang.Integer type, java.lang.Integer networkInd)` Creates a new Own Signalling Point Managed Bean (OwnSignallingPointMBean).
`ObjectName` | `createRoute(ObjectName destinationSignallingPoint, ObjectName[] linkSets)` Creates a new Route Managed Bean (RouteMBean).
`ObjectName` | `createRouteSet(ObjectName[] routes)` Creates a new Routeset Managed Bean (RouteSetMBean).
`ObjectName` | `createScreeningTable()` Creates a new Screening Table Managed Bean (ScreeningTableMBean).
`ObjectName` | `createSignallingPoint(java.lang.Long pointCode, java.lang.Integer type, java.lang.Integer networkInd)` Creates a new Own Signalling Point Managed Bean (OwnSignallingPointMBean).
`void` | `deleteLink(ObjectName link)` Deletes the LinkMBean identified by the specified ObjectName.
`void` | `deleteLinkSet(ObjectName linkSet)` Deletes the LinkSetMBean identified by the specified ObjectName.
`void` | `deleteMtp3Sap(ObjectName sap)` Deletes the Mtp3SapMBean identified by the specified ObjectName.
`void` | `deleteMtp3TimerProfile(ObjectName mtp3TimerProfile)` Deletes the Mtp3TimerProfileMBean identified by the specified ObjectName.
`void` | `deleteOwnSignallingPoint(ObjectName ownSignallingPoint)` Deletes the OwnSignallingPointMBean identified by the specified ObjectName.
`void` | `deleteRoute(ObjectName route)` Deletes the RouteMBean identified by the specified ObjectName.
`void` | `deleteRouteSet(ObjectName routeSet)` Deletes the RouteSetMBean identified by the specified ObjectName.
`void` | `deleteScreeningTable(ObjectName screeningTable)` Deletes the ScreeningTableMBean identified by the specified ObjectName.
`void` | `deleteSignallingPoint(ObjectName signallingPoint)` Deletes the SignallingPointMBean identified by the specified ObjectName.
`ObjectName` | `getActiveOwnSignallingPoint(java.lang.Integer index)` Returns the ObjectName of one of the active (local) OwnSignallingPointMBeans of this stack. The underlying stack management system may support multiple signalling points on the the same system.
`ObjectName[]` | `getActiveOwnSignallingPoints()` Returns the ObjectNames of all of the active (local) OwnSignallingPointMBeans of this stack. The underlying stack management system may support multiple signalling points on the the same system.
`ObjectName` | `getLink(java.lang.Integer index)` Returns the ObjectName of one of the LinkMBeans created by this layer manager
`ObjectName[]` | `getLinks()` Returns the ObjectNames of all the LinkMBeans created by this layer manager
`ObjectName` | `getLinkSet(java.lang.Integer index)` Returns the ObjectName of one of the LinkSetMBeans created by this layer manager
`ObjectName[]` | `getLinkSets()` Returns the ObjectNames of all the LinkSetMBeans created by this layer manager
`ObjectName` | `getMtp3Sap(java.lang.Integer index)` Returns the ObjectName of one of the Mtp3SapMBeans (Remote Signalling Points) created by this layer manager
`ObjectName[]` | `getMtp3Saps()` Returns the ObjectNames of all the Mtp3SapMBeans (Remote Signalling Points) created by this layer manager
`ObjectName` | `getMtp3TimerProfile(java.lang.Integer index)` Returns the ObjectName of one of the Mtp3TimerProfileMBeans created by this layer manager
`ObjectName[]` | `getMtp3TimerProfiles()` Returns the ObjectNames of all the Mtp3TimerProfilesMBeans created by this layer manager
`ObjectName` | `getOwnSignallingPoint(java.lang.Integer index)` Returns the ObjectNames of one of the OwnSignallingPointMBeans created by this layer manager
`ObjectName[]` | `getOwnSignallingPoints()` Returns the ObjectNames of all the OwnSignallingPointMBeans created by this layer manager
`ObjectName` | `getRoute(java.lang.Integer index)` Returns the ObjectName of one of the RouteMBeans created by this layer manager
`ObjectName[]` | `getRoutes()` Returns the ObjectNames of all of the RouteMBeans created by this layer manager
`ObjectName` | `getRouteSet(java.lang.Integer index)` Returns the ObjectName of one of the RouteSetMBeans created by this layer manager
`ObjectName[]` | `getRouteSets()` Returns the ObjectNames of all the RouteSetMBeans created by this layer manager
`ObjectName` | `getScreeningTable(java.lang.Integer index)` Returns the ObjectName of one of the ScreeningTableMBeans created by this layer manager
`ObjectName[]` | `getScreeningTables()` Returns the ObjectNames of all of the ScreeningTableMBeans created by this layer manager.
`ObjectName` | `getSignallingPoint(java.lang.Integer index)` Returns the ObjectNames of one of the SignallingPointMBeans created by this layer manager
`ObjectName[]` | `getSignallingPoints()` Returns the ObjectNames of all the SignallingPointMBeans created by this layer manager
`void` | `setActiveOwnSignallingPoint(java.lang.Integer index, ObjectName OwnSignallingPoint)` Sets one of the active (local) OwnSignallingPointMBeans of this stack. The underlying stack management system may support multiple signalling points on the the same system.
`void` | `setActiveOwnSignallingPoints(ObjectName[] OwnSignallingPoints)` Sets all of the active (local) OwnSignallingPointMBeans of this stack. The underlying stack management system may support multiple Signalling points on the the same system.

Methods inherited from interface jain.protocol.ss7.oam.OamLayerManagerMBean
`addNotificationListenerToAllMBeans, commit, getAllOamManagedObjects, getLookupTable, getProtocolVariantAndYear, getStackName, getVendorDetails, readCurrentConfiguration, removeNotificationListenerFromAllMBeans, rollBack, setProtocolVariantAndYear, setStackName`

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### createMtp3TimerProfile

    public ObjectName createMtp3TimerProfile()
                                      throws TooManyInstancesException

  Creates a new Mtp3TimerProfileMBean that will use the correct Timer values for the the protocol variant of this Mtp3LayerManager. When the Mtp3TimerProfileMBean is created, the corresponding OamTimerVals should be created for each Timer with the correct min, max and default values set.
  Returns:
    the ObjectName of the newly created Mtp3TimerProfileMBean
  Throws:
    TooManyInstancesException - - if no more timer profiles can be created by this implementation

### createLink

    public ObjectName createLink(ObjectName mtp2Sap)
                          throws TooManyInstancesException

  Creates a new Link Managed Bean (LinkMBean).
  Parameters:
    `mtp2Sap` - the ObjectName of the Mtp2SapMBean defining the hardware characteristics of this LinkMBean.
  Returns:
    the ObjectName of the newly created LinkMBean
  Throws:
    TooManyInstancesException - - if no more MTP2 SAPs can be created

### createLinkSet

    public ObjectName createLinkSet(ObjectName adjacentSignallingPoint,
                                    ObjectName[] links)
                             throws TooManyInstancesException

  Creates a new Linkset Managed Bean (LinkSetMBean).
  Parameters:
    `adjacentSignallingPoint` - the ObjectName of the Adjacent SignallingPointMBean of this LinkSetMBean
    `links` - an array of ObjectNames of the LinkMBeans of this LinkSetMBean.
  Returns:
    the ObjectName of the newly created LinkSetMBean
  Throws:
    TooManyInstancesException - - if

    - no more LinkSetMBeans can be created, or
    - too many LinkMBeans have been supplied for the LinksetMBean

### createRoute

    public ObjectName createRoute(ObjectName destinationSignallingPoint,
                                  ObjectName[] linkSets)
                           throws TooManyInstancesException

  Creates a new Route Managed Bean (RouteMBean).
  Parameters:
    `destinationSignallingPoint` - the destination OwnSignallingPointMBean of this RouteMBean
    `linksetsan` - array of ObjectNames of the LinksetMBeans that make up this RouteMBean
  Returns:
    the ObjectName of the newly created RouteMBean
  Throws:
    TooManyInstancesException - - if

    - no more RouteMBeans can be created by this implementation, or
    - too many LinkSetMBeans were supplied for the RouteMBean

### createRouteSet

    public ObjectName createRouteSet(ObjectName[] routes)
                              throws TooManyInstancesException

  Creates a new Routeset Managed Bean (RouteSetMBean). [NOTE: The destination OwnSignallingPointMBean of the created RoutesetMBean will be the the destination OwnSignallingPointMBean of all of the RouteMBeans supplied in routes
  Parameters:
    `routes` - The array of ObjectNames of the RouteMBeans that make up this RouteSetMBean
  Returns:
    the ObjectName of the newly created RouteSetMBean
  Throws:
    TooManyInstancesException - - if

    - no more RouteSetMBeans can be created by this implementation, or
    - too many RouteMBeans were supplied for the RouteSetMBean

### createOwnSignallingPoint

    public ObjectName createOwnSignallingPoint(java.lang.Long pointCode,
                                               java.lang.Integer type,
                                               java.lang.Integer networkInd)
                                        throws TooManyInstancesException,
                                               java.lang.IllegalArgumentException

  Creates a new Own Signalling Point Managed Bean (OwnSignallingPointMBean).
  Parameters:
    `pointCode` - the signalling point code
    `type` - one of the following:

    - SignallingPointMBean.TYPE_SEP - a Signalling End Point.
    - SignallingPointMBean.TYPE_STP - a Signalling Transfer Point.
    - SignallingPointMBean.TYPE_STEP - a Signalling Transfer End Point.
    `networkInd` - one of the following Network Indicator constants:

    - SignallingPointMBean.NI_INTERNATIONAL_00
    - SignallingPointMBean.NI_INTERNATIONAL_01
    - SignallingPointMBean.NI_NATIONAL_10
    - SignallingPointMBean.NI_NATIONAL_11
  Returns:
    the ObjectName of the newly created OwnSignallingPointMBean
  Throws:
    TooManyInstancesException - - if no more own signalling point MBeans can be created by this implementation
    java.lang.IllegalArgumentException - - if any of the arguments represent an illegal value

### createSignallingPoint

    public ObjectName createSignallingPoint(java.lang.Long pointCode,
                                            java.lang.Integer type,
                                            java.lang.Integer networkInd)
                                     throws TooManyInstancesException,
                                            java.lang.IllegalArgumentException

  Creates a new Own Signalling Point Managed Bean (OwnSignallingPointMBean).
  Parameters:
    `pointCode` - the signalling point code
    `type` - one of the following:

    - SignallingPointMBean.TYPE_SEP - a Signalling End Point.
    - SignallingPointMBean.TYPE_STP - a Signalling Transfer Point.
    - SignallingPointMBean.TYPE_STEP - a Signalling Transfer End Point.
    `networkInd` - one of the following Network Indicator constants:

    - SignallingPointMBean.NI_INTERNATIONAL_00
    - SignallingPointMBean.NI_INTERNATIONAL_01
    - SignallingPointMBean.NI_NATIONAL_10
    - SignallingPointMBean.NI_NATIONAL_11
  Returns:
    the ObjectName of the newly created SignallingPointMBean
  Throws:
    TooManyInstancesException - - if no more own signalling point MBeans can be created by this implementation
    java.lang.IllegalArgumentException - - if any of the arguments represent an illegal value

### createMtp3Sap

    public ObjectName createMtp3Sap(ObjectName signallingPoint,
                                    java.lang.Integer serviceIndicator)
                             throws TooManyInstancesException,
                                    java.lang.IllegalArgumentException

  Creates a new Mtp3 Service Access Point MBean (representing a Remote Signalling Point)
  Parameters:
    `pointCode` - the signalling point code
    `type` - one of the following:

    - Mtp3SapMBean.TYPE_SEP - a Signalling End Point.
    - Mtp3SapMBean.TYPE_STP - a Signalling Transfer Point.
    - Mtp3SapMBean.TYPE_STEP - a Signalling Transfer End Point.
    `networkInd` - one of the following Network Indicator constants:

    - Mtp3SapMBean.NI_INTERNATIONAL_00
    - Mtp3SapMBean.NI_INTERNATIONAL_01
    - Mtp3SapMBean.NI_NATIONAL_10
    - Mtp3SapMBean.NI_NATIONAL_11
    `serviceIndicator` - one of the following Service Indicator constants:

    - Mtp3SapMBean.SI_BROADBAND_ISUP
    - Mtp3SapMBean.SI_DUP_CALL_CIRCUIT
    - Mtp3SapMBean.SI_DUP_FACILITY_CANCELLATION
    - Mtp3SapMBean.SI_ISUP
    - Mtp3SapMBean.SI_MTP_TESTING
    - Mtp3SapMBean.SI_SATELLITE_ISUP
    - Mtp3SapMBean.SI_SCCP
    - Mtp3SapMBean.SI_SIG_NET_MAN_MESSAGES
    - Mtp3SapMBean.SI_SIG_NET_TEST_MAIN_MESSAGES
    - Mtp3SapMBean.SI_TUP
  Returns:
    the ObjectName of the newly created Mtp3SapMBean
  Throws:
    TooManyInstancesException - - if no more Mtp3SapMBeans can be created by this implementation
    java.lang.IllegalArgumentException - - if any of the arguments represent an illegal value

### createScreeningTable

    public ObjectName createScreeningTable()
                                    throws java.lang.UnsupportedOperationException,
                                           TooManyInstancesException

  Creates a new Screening Table Managed Bean (ScreeningTableMBean).
  Parameters:
    `screeningType` - either:

    - ScreeningTableMBean.SCR_TYPE_INCOMING_LS_TO_DPC - To inhibit/allow STP access by a combination of designated incoming link sets to designated DPCs.
    - ScreeningTableMBean.SCR_TYPE_OUTGOING_LS_TO_DPC - To inhibit/allow STP access by a combination of designated outgoing link sets to designated DPCs.
    - ScreeningTableMBean.SCR_TYPE_OPC_TO_DPC - To inhibit/allow STP access by examination of OPC and DPC combination in the incoming STP message.
  Returns:
    the ObjectName of the newly created ScreeningTableMBean
  Throws:
    java.lang.UnsupportedOperationException - - if the optional SS7 functionality for an STP to identify and to handle unauthorized SS7 messages is not supported by this implementation
    TooManyInstancesException - - if no more screening tables can be created by this implementation

### deleteMtp3TimerProfile

    public void deleteMtp3TimerProfile(ObjectName mtp3TimerProfile)

  Deletes the Mtp3TimerProfileMBean identified by the specified ObjectName. Note that once a Mtp3TimerProfileMBean has been deleted, it should no longer be returned by the getMtp3TimerProfiles() method.

### deleteLink

    public void deleteLink(ObjectName link)

  Deletes the LinkMBean identified by the specified ObjectName. Note that once a LinkMBean has been deleted, it should no longer be returned by the getLinks() method.

### deleteLinkSet

    public void deleteLinkSet(ObjectName linkSet)

  Deletes the LinkSetMBean identified by the specified ObjectName. Note that once a LinksetMBean has been deleted, it should no longer be returned by the getLinksets() method.

### deleteRoute

    public void deleteRoute(ObjectName route)

  Deletes the RouteMBean identified by the specified ObjectName. Note that once a RouteMBean has been deleted, it should no longer be returned by the getRoutes() method.

### deleteRouteSet

    public void deleteRouteSet(ObjectName routeSet)

  Deletes the RouteSetMBean identified by the specified ObjectName. Note that once a RoutesetMBean has been deleted, it should no longer be returned by the getRoutesets() method.

### deleteOwnSignallingPoint

    public void deleteOwnSignallingPoint(ObjectName ownSignallingPoint)

  Deletes the OwnSignallingPointMBean identified by the specified ObjectName. Note that once an OwnSignallingPointMBean has been deleted, it should no longer be returned by the getOwnSignallingPoints() method.

### deleteSignallingPoint

    public void deleteSignallingPoint(ObjectName signallingPoint)

  Deletes the SignallingPointMBean identified by the specified ObjectName. Note that once an SignallingPointMBean has been deleted, it should no longer be returned by the getSignallingPoints() method.

### deleteMtp3Sap

    public void deleteMtp3Sap(ObjectName sap)

  Deletes the Mtp3SapMBean identified by the specified ObjectName. Note that once a Mtp3SapMBean has been deleted, it should no longer be returned by the getMtp3Saps() method.

### deleteScreeningTable

    public void deleteScreeningTable(ObjectName screeningTable)
                              throws java.lang.UnsupportedOperationException

  Deletes the ScreeningTableMBean identified by the specified ObjectName. Note that once a ScreeningTableMBean has been deleted, it should no longer be returned by the getScreeningTables() method.
  Throws:
    java.lang.UnsupportedOperationException - - if the optional SS7 functionality for an STP to identify and to handle unauthorized SS7 messages is not supported by this implementation

### setActiveOwnSignallingPoint

    public void setActiveOwnSignallingPoint(java.lang.Integer index,
                                            ObjectName OwnSignallingPoint)
                                     throws TooManyInstancesException

  Sets one of the active (local) OwnSignallingPointMBeans of this stack.
  The underlying stack management system may support multiple signalling points on the the same system. The OwnSignallingPointMBean will be set at the specified position in the set of OwnSignallingPointMBeans of this stack.
  Parameters:
    `index` - the index position of the element in the array.
    `OwnSignallingPoint` - the ObjectName of the local OwnSignallingPointMBean
  Throws:
    TooManyInstancesException - - if the supplied index is greater than the number of OwnSignallingPointMBeans permitted by this implementation.

### getActiveOwnSignallingPoint

    public ObjectName getActiveOwnSignallingPoint(java.lang.Integer index)

  Returns the ObjectName of one of the active (local) OwnSignallingPointMBeans of this stack.
  The underlying stack management system may support multiple signalling points on the the same system. The ObjectName of the OwnSignallingPointMBean will be returned from the specified position in the set of OwnSignallingPointMBeans of this stack.

  There is a subtle difference between this method and the getOwnSignallingPoints() method in that this method returns the ObjectName of one of the OwnSignallingPointMBeans that are currently in use, whereas the getOwnSignallingPoints() method returns the ObjectName of one of the OwnSignallingPointMBeans (both those OwnSignallingPointMBeans currently in use and the OwnSignallingPointMBeans that have been configured are not available for use for any reason including for backup). The ObjectName of every OwnSignallingPointMBean that was created through the createOwnSignallingPoint() method shall be returned by the getOwnSignallingPoints() method, but only the ObjectName of those OwnSignallingPointMBeans that have been activated using the setActiveOwnSignallingPoint() method shall be returned by this method.

  Parameters:
    `index` - the index position of the element in the array.
  Returns:
    the ObjectName of the local OwnSignallingPointMBean at the specified postion

### setActiveOwnSignallingPoints

    public void setActiveOwnSignallingPoints(ObjectName[] OwnSignallingPoints)
                                      throws TooManyInstancesException

  Sets all of the active (local) OwnSignallingPointMBeans of this stack.
  The underlying stack management system may support multiple Signalling points on the the same system.
  Parameters:
    `OwnSignallingPoints` - all of the (local) Signalling Points of this stack.
  Throws:
    TooManyInstancesException - - if the size of the array is greater than the number of OwnSignallingPointMBeans permitted by this implementation.

### getActiveOwnSignallingPoints

    public ObjectName[] getActiveOwnSignallingPoints()

  Returns the ObjectNames of all of the active (local) OwnSignallingPointMBeans of this stack.
  The underlying stack management system may support multiple signalling points on the the same system.

  There is a subtle difference between this method and the getOwnSignallingPoints() method in that this method returns the ObjectNames of only the OwnSignallingPointMBeans that are currently in use, whereas the getOwnSignallingPoints() method returns the ObjectNames of all OwnSignallingPointMBeans (both those OwnSignallingPointMBeans currently in use and the OwnSignallingPointMBeans that have been configured are not available for use for any reason including for backup). The ObjectNames of every OwnSignallingPointMBean that was created through the createOwnSignallingPoint() method shall be returned by the getOwnSignallingPoints() method, but only the ObjectNames of those OwnSignallingPointMBeans that have been activated using the setActiveOwnSignallingPoint() method shall be returned by this method.

  Returns:
    the ObjectNames of all the (local) OwnSignallingPointMBeans of this stack.

### getMtp3Saps

    public ObjectName[] getMtp3Saps()

  Returns the ObjectNames of all the Mtp3SapMBeans (Remote Signalling Points) created by this layer manager

### getMtp3Sap

    public ObjectName getMtp3Sap(java.lang.Integer index)

  Returns the ObjectName of one of the Mtp3SapMBeans (Remote Signalling Points) created by this layer manager
  Parameters:
    `index` - the index of the Remote OwnSignallingPointMBean in the list

### getMtp3TimerProfiles

    public ObjectName[] getMtp3TimerProfiles()

  Returns the ObjectNames of all the Mtp3TimerProfilesMBeans created by this layer manager

### getMtp3TimerProfile

    public ObjectName getMtp3TimerProfile(java.lang.Integer index)

  Returns the ObjectName of one of the Mtp3TimerProfileMBeans created by this layer manager
  Parameters:
    `index` - the index of the Mtp3TimerProfileMBean in the list

### getLinks

    public ObjectName[] getLinks()

  Returns the ObjectNames of all the LinkMBeans created by this layer manager

### getLink

    public ObjectName getLink(java.lang.Integer index)

  Returns the ObjectName of one of the LinkMBeans created by this layer manager
  Parameters:
    `index` - the index of the LinkMBean in the list

### getLinkSets

    public ObjectName[] getLinkSets()

  Returns the ObjectNames of all the LinkSetMBeans created by this layer manager

### getLinkSet

    public ObjectName getLinkSet(java.lang.Integer index)

  Returns the ObjectName of one of the LinkSetMBeans created by this layer manager
  Parameters:
    `index` - the index of the LinkSetMBean in the list

### getRoutes

    public ObjectName[] getRoutes()

  Returns the ObjectNames of all of the RouteMBeans created by this layer manager

### getRoute

    public ObjectName getRoute(java.lang.Integer index)

  Returns the ObjectName of one of the RouteMBeans created by this layer manager
  Parameters:
    `index` - the index of the RouteMBean in the list

### getRouteSets

    public ObjectName[] getRouteSets()

  Returns the ObjectNames of all the RouteSetMBeans created by this layer manager

### getRouteSet

    public ObjectName getRouteSet(java.lang.Integer index)

  Returns the ObjectName of one of the RouteSetMBeans created by this layer manager
  Parameters:
    `index` - the index of the RouteSetMBean in the list

### getScreeningTables

    public ObjectName[] getScreeningTables()
                                    throws java.lang.UnsupportedOperationException

  Returns the ObjectNames of all of the ScreeningTableMBeans created by this layer manager.
  Throws:
    java.lang.UnsupportedOperationException - - if the optional SS7 functionality for an STP to identify and to handle unauthorized SS7 messages is not supported by this implementation

### getScreeningTable

    public ObjectName getScreeningTable(java.lang.Integer index)
                                 throws java.lang.UnsupportedOperationException

  Returns the ObjectName of one of the ScreeningTableMBeans created by this layer manager
  Parameters:
    `index` - the index of the ScreeningTableMBean in the list
  Throws:
    java.lang.UnsupportedOperationException - - if the optional SS7 functionality for an STP to identify and to handle unauthorized SS7 messages is not supported by this implementation

### getOwnSignallingPoints

    public ObjectName[] getOwnSignallingPoints()

  Returns the ObjectNames of all the OwnSignallingPointMBeans created by this layer manager

### getOwnSignallingPoint

    public ObjectName getOwnSignallingPoint(java.lang.Integer index)

  Returns the ObjectNames of one of the OwnSignallingPointMBeans created by this layer manager
  Parameters:
    `index` - the index of the OwnSignallingPointMBean in the list

### getSignallingPoints

    public ObjectName[] getSignallingPoints()

  Returns the ObjectNames of all the SignallingPointMBeans created by this layer manager

### getSignallingPoint

    public ObjectName getSignallingPoint(java.lang.Integer index)

  Returns the ObjectNames of one of the SignallingPointMBeans created by this layer manager
  Parameters:
    `index` - the index of the SignallingPointMBean in the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems